## gitlab 15.8.5+ds1

=== debian/changelog ===
gitlab (15.8.5+ds1-1) experimental; urgency=medium

  * Install rack gem from rubygems.org in postinst
  * use ruby-rack package instead of gem install
  * use minimum version of ruby-rack(2.2.6~)
  * New upstream version 15.8.5+ds1(Fixes:CVE-2022-3513,CVE-2023-0485,
    CVE-2023-1098,CVE-2023-1733,CVE-2023-0319,CVE-2023-1708,
    CVE-2023-0838,CVE-2023-0523,CVE-2023-0155, CVE-2023-1167,
    CVE-2023-1787,CVE-2023-1417,CVE-2023-1710,CVE-2023-0450,
    CVE-2023-1071,CVE-2022-3375)

 -- Vinay Keshava <vinaykeshava@disroot.org>  Mon, 03 Apr 2023 14:16:49 +0530

gitlab (15.8.4+ds1-3) experimental; urgency=medium

  * Drop ruby-omniauth-shibboleth dependency (dropped in 15.9)

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Mar 2023 21:14:43 +0530

gitlab (15.8.4+ds1-2) experimental; urgency=medium

  * Don't depend on node-mermaid (version in archive is older and not in
    bookworm)
  * Relax dependency on omniauth-auth0 to allow version 3.1 (upstream ci is
    green and this allows us to use ruby-omniauth-auth0 from archive as 2.0
    tests fail with ruby 3.1 in bookworm)

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Mar 2023 08:51:35 +0530

gitlab (15.8.4+ds1-1) experimental; urgency=medium

  * Don't try to remove /etc/gitlab/metrics/aggregates
  * Update minimum version of ruby-grpc to 1.42~
  * New upstream version 15.8.4+ds1
  * Refresh patches (remove patches no longer relevant)
  * Update minimum versions of dependencies
  * Install app_store_connect gem from rubygems.org in postinst
  * Remove obsolete feature flags
  * Update minimum version of gitaly

 -- Pirate Praveen <praveen@debian.org>  Sun, 19 Mar 2023 01:40:24 +0530

gitlab (15.7.8+ds1-11) experimental; urgency=medium

  * Drop obsolete config/feature_flags/development/gitaly_catfile-cache.yml
  * Lock mermaid node module to 9.1.6 version for bullseye nodejs

 -- Pirate Praveen <praveen@debian.org>  Mon, 13 Mar 2023 17:18:41 +0530

gitlab (15.7.8+ds1-10) experimental; urgency=medium

  * Update minimum version of ruby-grape to 1.7~ (fixes db:migrate)
  * Use @rails/actioncable from npmjs.com (not from the archive).
    This fixes infinite spinning circle in project display on web ui.

 -- Pirate Praveen <praveen@debian.org>  Mon, 13 Mar 2023 00:32:10 +0530

gitlab (15.7.8+ds1-9) experimental; urgency=medium

  * Install fog-core 2.1.0 using gem install in postinst (for fog-google)
  * Switch to ruby-fog-google from the archive

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Mar 2023 23:59:37 +0530

gitlab (15.7.8+ds1-8) experimental; urgency=medium

  * Update minimum version of ruby-net-ldap to 0.17

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Mar 2023 10:55:41 +0530

gitlab (15.7.8+ds1-7) experimental; urgency=medium

  * Relax dependency on ruby-net-ldap

 -- Pirate Praveen <praveen@debian.org>  Wed, 08 Mar 2023 23:06:57 +0530

gitlab (15.7.8+ds1-6) experimental; urgency=medium

  * Start a sidekiq cluster instead of standalone (upstream now only supports
    a cluster and gitlab:check fails without it) (Thanks to vv221)

 -- Pirate Praveen <praveen@debian.org>  Wed, 08 Mar 2023 18:51:15 +0530

gitlab (15.7.8+ds1-5) experimental; urgency=medium

  * Update minimum versions of ruby-gpgme and ruby-doorkeeper-openid-connect

 -- Pirate Praveen <praveen@debian.org>  Tue, 07 Mar 2023 21:36:21 +0530

gitlab (15.7.8+ds1-4) experimental; urgency=medium

  * Remove rubygems.org version of gitlab-labkit

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Mar 2023 16:26:56 +0530

gitlab (15.7.8+ds1-3) experimental; urgency=medium

  * Revert "Use openssl 3.0.2 from rubygems.org as workaround for #1032070"
    libruby3.1 3.1.2-7~exp now include openssl 3.0.1

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Mar 2023 15:25:10 +0530

gitlab (15.7.8+ds1-2) experimental; urgency=medium

  * Use openssl 3.0.2 from rubygems.org as workaround for #1032070

 -- Pirate Praveen <praveen@debian.org>  Sun, 05 Mar 2023 17:09:42 +0530

gitlab (15.7.8+ds1-1) experimental; urgency=medium

  * Update minimum version of ruby-gitlab-sidekiq-fetcher to (>= 0.9~)
  * New upstream version 15.7.8+ds1
  * Refresh patches
  * Handle new files added by upstream
  * Update minimum versions of dependencies
  * Use ruby-redis-namespace and ruby-invisble-captcha from archives

 -- Pirate Praveen <praveen@debian.org>  Sun, 05 Mar 2023 15:04:26 +0530

gitlab (15.6.8+ds1-2) experimental; urgency=medium

  * Add ruby-hashie >= 5.0 to Depends
  * Use ruby-sidekiq, ruby-asciidoctor-kroki, ruby-memory-profiler,
    ruby-browser, gitlab-fog-azure-rm, gitlab-sidekiq-fetcher,
    ruby-omniauth-google-oauth2 and ruby-oauth2 from archive.

 -- Pirate Praveen <praveen@debian.org>  Tue, 28 Feb 2023 17:23:21 +0530

gitlab (15.6.8+ds1-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Add patch to check for gitlab-shell-check binary
  * Update min versions
  * Add patch to relax oj in ipynbdiff
  * relax net-ldap version
  * use matching versions of tiptap core and its extensions

  [ Pirate Praveen ]
  * New upstream version 15.6.8+ds1 (Fixes: CVE-2022-3411, CVE-2022-4138,
    CVE-2022-3759, CVE-2023-0518)
  * Stop installing spec directory in binary package (some fixtures breaks
    build)
  * Update minimum versions of ruby-rails, ruby-telesign and
    ruby-net-http-persistent

 -- Pirate Praveen <praveen@debian.org>  Mon, 27 Feb 2023 11:05:00 +0530

gitlab (15.6.6+ds1-2) experimental; urgency=medium

  * Team upload.
  * Update min versions
  * install more gems from rubygems.org
  * uninstall rack 3.x during postinst
  * Bump min version of golang-go to 1.18
  * drop relax-gitlab-labkit.patch

 -- Mohammed Bilal <mdbilal@disroot.org>  Mon, 30 Jan 2023 22:09:36 +0530

gitlab (15.6.6+ds1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.6.4+ds2
     + github.com/googleapis/go-type-adapters (vendored)
  * Update min versions and add new deps
  * Install unsat gems from rubygems.org
  * Refresh patches

