=== debian/watch ===
version=4

# uscan: repacksuffix is not compatible with the multiple upstream tarballs; use oversionmangle.

opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
repack,compression=xz,oversionmangle=s{\Z}{+ds1},\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*(\~)*(rc)*(\d)*$/$1$3$4$5/ \
" https://gitlab.com/gitlab-org/gitlab-foss/-/tags?sort=updated_desc .*/gitlab-foss-v(\d[\d.]*)\.tar\.gz

opts="pgpmode=none,component=snowplow-javascript-tracker,\
" https://github.com/snowplow/snowplow-javascript-tracker/tags?after=2.11.0-rc3 \
 .*/archive/.*/v?(2\.10\.0)@ARCHIVE_EXT@$ ignore
