## gitlab 16.0.7+ds1

=== debian/changelog ===
gitlab (16.0.7+ds1-5) unstable; urgency=medium

  * Use ruby-app-store-connect (now packaged)
  * Revert "Remove ruby-whitequark-parser dependency (no longer used in
    migrations)" - we can only remove in 16.1+

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Jul 2023 20:10:37 +0530

gitlab (16.0.7+ds1-4) unstable; urgency=medium

  * Fix last version in mainstcript
  * Remove ruby-whitequark-parser dependency (no longer used in migrations)

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Jul 2023 19:23:06 +0530

gitlab (16.0.7+ds1-3) unstable; urgency=medium

  * Update minimum version of ruby-rack to 2.2.7
  * Install gitaly 15.9 in postinst (archive has 16.0 already)
  * Relax gitaly version in Gemfile to allow release candidates

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Jul 2023 20:23:03 +0530

gitlab (16.0.7+ds1-2) unstable; urgency=medium

  * Reupload to unstable
  * Refactor vendor directory merging with gitaly
  * Update minimum version of gitlab-common
  * Remove _build directory in clean (for dpkg-buildpackage)

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Jul 2023 18:58:09 +0530

gitlab (16.0.7+ds1-1) experimental; urgency=medium

  * Drop ruby-derailed-benchmarks from dependency (moved to test group)
  * New upstream version 16.0.7+ds1
  * debian/control: Drop vendored or removed dependencies
  * Remove ruby-benchmark-memory (not in production group of Gemfile)
  * Refresh patches
  * Update gitaly dependencies and vendor symlinks

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Jul 2023 16:17:27 +0530

gitlab (15.11.11+ds1-1) unstable; urgency=medium

  * Update minimum version of ruby-ruby-parser to 3.20
  * New upstream version 15.11.11+ds1

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Jul 2023 11:08:26 +0530

gitlab (15.11.6+ds1-1) experimental; urgency=medium

  [ Vinay Keshava ]
  * New upstream version 15.11.6+ds1

  [ Pirate Praveen ]
  * Use more vendored modules from gitaly
  * Refresh patches (redo semver complaint relaxing of stable gems)
  * Update minimum versions of dependencies
  * Remove development only gitlab-dangerfiles from Rakefile
  * Remove obsolete feature flag

 -- Pirate Praveen <praveen@debian.org>  Sat, 01 Jul 2023 20:07:39 +0530

gitlab (15.10.8+ds1-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Jun 2023 22:24:28 +0530

gitlab (15.10.8+ds1-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Team upload.
  * Fix yarn.lock link login (reverse the order in links)
  * Switch order of links for package.json
  * Relax the immutable option to yarnpkg install

  [ Mohammed Bilal ]
  * New upstream version 15.10.8+ds1
  * Update minimum version of gitaly to 15.10.8

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 09 Jun 2023 10:55:28 +0530

gitlab (15.10.7+ds1-1) experimental; urgency=medium

  * New upstream version 15.10.7+ds1
  * Refresh patches
  * Update upstream-file-list
  * Update minimum versions of dependencies
  * Install more gems from rubygems.org
  * Replace more relative require to lib from config
  * Drop all changes to package.json
  * Install yarn.lock
  * Set NODE_ENV=production and add immutable for yarnpkg install
  * Update minimum version of gitaly

 -- Pirate Praveen <praveen@debian.org>  Sat, 27 May 2023 22:28:27 +0530

gitlab (15.9.8+ds1-3) experimental; urgency=medium

  * Update minimum version of ruby-zeitwerk to 2.6.1~ (this fixes gitlab-puma
    service failing to start with uninitialized constant Tasks::Gitlab
    (NameError))

 -- Pirate Praveen <praveen@debian.org>  Wed, 24 May 2023 19:04:16 +0530

gitlab (15.9.8+ds1-2) experimental; urgency=medium

  * Add ruby-digest-crc to dependency
  * Add ruby-google-apis-container-v1 as dependency
  * Update minimum version of ruby-gitlab-markup to 1.9~
  * Update minimum version of ruby-json to 2.6.3
  * Remove more obsolete initializers

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 May 2023 19:46:42 +0530

gitlab (15.9.8+ds1-1) experimental; urgency=medium

  [ Vinay Keshava ]
  * New upstream version 15.9.2+ds1

  [ Pirate Praveen ]
  * New upstream version 15.9.7+ds1
  * Refresh patches
  * Update minimum version of ruby-rails
  * Relax ruby-omniauth-github dependency in patch
  * Install older omniauth_openid_connect from rubygems.org
  * Add ruby-openid-connect as dependency
  * Update minimum version of ruby-gitlab-fog-azure-rm to 1.7~
  * Install google-cloud-storage from rubygems.org
  * Install older google-apis-core from rubygems.org
  * Add ruby-google-apis-* dependencies
  * Relax dependency on elasticsearch-api in Gemfile
  * Update minimum version of ruby-aws-sdk-s3 to 1.119.1~
  * Relax dependency on deckar01-task_list in patch
  * Relax dependency on autoprefixer-rails in patch
  * Relax dependency on terser gem in patch
  * Relax dependency on ruby-gitlab-labkit
  * Replace more relative require by absolute path
  * Remove obsolete feature flags and initializers
  * Bump minimum version of ruby-sentry-* to 5.9~
  * New upstream version 15.9.8+ds1

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 May 2023 21:52:06 +0530
