=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                golang-github-disintegration-imaging-dev,
                golang-github-fzambia-sentinel-dev,
                golang-github-garyburd-redigo-dev,
-               golang-github-golang-jwt-jwt-dev,
+               golang-github-golang-jwt-jwt-dev (>= 4.4.3~),
                golang-github-google-uuid-dev,
                golang-github-golang-protobuf-1-5-dev,
                golang-github-getsentry-raven-go-dev (>= 0.2~),
@@ -47,7 +47,7 @@
                golang-github-sebest-xff-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev (>= 1.4~),
-               golang-gitlab-gitlab-org-gitaly-dev (>= 15.8~),
+               golang-gitlab-gitlab-org-gitaly-dev (>= 16~),
                  golang-github-beevik-ntp-dev,
 # protobuf-1-5
 #               golang-gitlab-gitlab-org-labkit-dev (>= 1.14~),
@@ -82,7 +82,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends},
- gitlab-common (>= 15.8~),
+ gitlab-common (>= 16~),
  ruby (>= 1:2.7~),
    rubygems-integration (>= 1.18~),
  lsb-base (>= 3.0-6),
@@ -101,15 +101,16 @@
  bzip2,
  ucf,
  gitlab-workhorse (>= ${source:Version}),
- ruby-rails (>= 2:6.1.7~),
+ ruby-rails (>= 2:6.1.7.2~),
    ruby-websocket-extensions (>= 0.1.5~),
+   ruby-zeitwerk (>= 2.6.1~),
  ruby-bootsnap (>= 1.15~),
+ ruby-ipaddr (>= 1.2.5~),
  ruby-responders (>= 3.0~),
  ruby-sprockets (>= 3.7~),
- ruby-view-component (>= 2.74.1~),
- ruby-default-value-for (>= 3.4~),
-#ruby-mysql2 | ruby-pg,
- ruby-pg (>= 1.4.3~),
+ ruby-view-component (>= 2.82~),
+ ruby-pg (>= 1.5.3~),
+ ruby-neighbor (>= 0.2.3~),
  ruby-rugged (>= 1.2~),
  ruby-grape-path-helpers (>= 1.7.1~),
  ruby-faraday (>= 1.0~),
@@ -119,26 +120,27 @@
 # Authentication libraries
  ruby-devise (>= 4.8.1~),
  ruby-bcrypt (>= 3.1.14~),
- ruby-doorkeeper (>= 5.5~),
- ruby-doorkeeper-openid-connect (>= 1.8~),
+ ruby-doorkeeper (>= 5.6.6~),
+ ruby-doorkeeper-openid-connect (>= 1.8.6~),
  ruby-rexml (>= 3.2.3.1~),
  ruby-saml (>= 1.13~),
  ruby-omniauth (>= 2.1~),
  ruby-omniauth-auth0 (>= 3.1~),
  ruby-omniauth-azure-activedirectory-v2 (>= 2.0~),
  ruby-omniauth-dingtalk-oauth2 (>= 1.0.1~),
- ruby-omniauth-alicloud (>= 2.0~),
+ ruby-omniauth-alicloud (>= 2.0.1~),
  ruby-omniauth-facebook (>= 4.0~),
  ruby-omniauth-github (>= 2.0.1~),
  ruby-omniauth-gitlab (>= 1.0.2~),
  ruby-omniauth-google-oauth2 (>= 1.1~),
  ruby-omniauth-kerberos (>= 0.3.0-3~),
  ruby-omniauth-oauth2-generic (>= 0.2.2~),
- ruby-omniauth-saml (>= 2.0~),
+ ruby-omniauth-saml (>= 2.1~),
  ruby-omniauth-twitter (>= 1.4~),
    ruby-omniauth-oauth (>= 1.2~),
  ruby-omniauth-authentiq (>= 0.3.3~),
  ruby-omniauth-openid-connect (>= 0.10~),
+ ruby-openid-connect (>= 1.3~),
  ruby-omniauth-atlassian-oauth2 (>= 0.2.0~),
  ruby-rack-oauth2 (>= 1.21.3~),
  ruby-jwt (>= 2.1~),
@@ -150,8 +152,6 @@
  ruby-devise-two-factor (>= 4.0.2~),
  ruby-rqrcode-rails3 (>= 0.1.7-2~),
    ruby-rqrcode (>= 1.2~),
- ruby-attr-encrypted (>= 3.1.0-3~),
- ruby-u2f (>= 0.2.1~),
 # GitLab Pages
  ruby-validates-hostname (>= 1.0.11~),
  ruby-zip (>= 2.3.2~),
@@ -160,7 +160,7 @@
 # Browser detection
  ruby-browser (>= 5.3.1~),
 # OS detection for usage ping
- ohai (>= 16.13.0-2~),
+ ohai (>= 17.9.0~),
 # GPG
  ruby-gpgme (>= 2.0.22~),
 # LDAP Auth
@@ -187,19 +187,26 @@
  ruby-carrierwave (>= 1.3.2~),
  ruby-mini-magick (>= 4.10.1~),
 # for backups
- ruby-fog-aws (>= 3.15~),
+ ruby-fog-aws (>= 3.18~),
  ruby-fog-core (>= 2.1~),
    ruby-excon (>= 0.72~),
  ruby-fog-google (>= 1.19~),
  ruby-fog-local (>= 0.8~),
- ruby-fog-openstack (>= 1.0~),
- ruby-fog-rackspace (>= 0.1.1~),
- ruby-fog-aliyun (>= 0.3~),
- ruby-gitlab-fog-azure-rm (>= 1.4~),
+ ruby-fog-aliyun (>= 0.4.0~),
+ ruby-gitlab-fog-azure-rm (>= 1.7~),
    ruby-azure-storage-blob (>= 2.0.0-3~),
    ruby-azure-storage-common (>= 2.0.1-5~),
 # for Google storage
- ruby-google-api-client (>= 0.44.2~),
+ ruby-google-apis-core (>= 0.10~),
+ ruby-google-apis-compute-v1 (>= 0.57~),
+ ruby-google-apis-container-v1beta1 (>= 0.43~),
+ ruby-google-apis-container-v1 (>= 0.43~),
+ ruby-google-apis-cloudbilling-v1 (>= 0.21~),
+ ruby-google-apis-cloudresourcemanager-v1 (>= 0.31~),
+ ruby-google-apis-iam-v1 (>= 0.36~),
+ ruby-google-apis-serviceusage-v1 (>= 0.28~),
+ ruby-google-apis-sqladmin-v1beta4 (>= 0.41~),
+ ruby-google-apis-androidpublisher-v3 (>= 0.34~),
 # for aws storage
  ruby-unf (>= 0.1.4-2~),
    ruby-unf-ext (>= 0.0.7.4),
@@ -210,15 +217,15 @@
  ruby-elasticsearch (>= 5.0.3~),
  ruby-elasticsearch-rails (>= 7.2~),
  ruby-elasticsearch-api (>= 7.13.3~),
- ruby-aws-sdk-core (>= 3.168.4~),
+ ruby-aws-sdk-core (>= 3.172~),
  ruby-aws-sdk-cloudformation (>= 1.0~),
- ruby-aws-sdk-s3 (>= 1.117.2~),
+ ruby-aws-sdk-s3 (>= 1.122~),
  ruby-faraday-middleware-aws-sigv4,
  ruby-typhoeus (>= 1.4~),
 # Markdown and HTML processing
  ruby-html-pipeline (>= 2.14.3~),
  ruby-task-list (>= 2.3.1~),
- ruby-gitlab-markup,
+ ruby-gitlab-markup (>= 1.9~),
  ruby-github-markup (>= 1.7~),
  ruby-commonmarker (>= 0.23.6~),
  ruby-kramdown (>= 2.3.1~),
@@ -230,11 +237,11 @@
  asciidoctor (>= 2.0.17~),
  ruby-asciidoctor-include-ext (>= 0.4~),
  ruby-asciidoctor-plantuml (>= 0.0.16~),
- ruby-asciidoctor-kroki (>= 0.7~),
- ruby-rouge (>= 3.29~),
+ ruby-asciidoctor-kroki (>= 0.8~),
+ ruby-rouge (>= 4.1~),
  ruby-truncato (>= 0.7.12~),
  ruby-bootstrap-form (>= 4.2~),
- ruby-nokogiri (>= 1.13.9~),
+ ruby-nokogiri (>= 1.14.3~),
  ruby-escape-utils (>= 1.2.1~),
 # Calendar rendering
  ruby-icalendar,
@@ -242,7 +249,7 @@
  ruby-diffy (>= 3.4~),
  ruby-diff-match-patch (>= 0.1~),
 # Application server
- ruby-rack (>= 2.2.6~),
+ ruby-rack (>= 2.2.7~),
  ruby-rack-timeout (>= 0.6.0~),
  puma (>= 5.6.5~),
  ruby-puma-worker-killer (>= 0.3.1~),
@@ -256,20 +263,18 @@
  ruby-sidekiq (>= 6.5.7~),
  ruby-sidekiq-cron (>= 1.8~),
  ruby-redis-namespace (>= 1.9~),
- ruby-gitlab-sidekiq-fetcher (>= 0.9~),
 # Cron Parser
- ruby-fugit (>= 1.2.1~),
+ ruby-fugit (>= 1.8.1~),
 # HTTP requests
  ruby-httparty (>= 0.16.4~),
 # Colored output to console
  ruby-rainbow (>= 3.0~),
 # Progress bar
  ruby-progressbar (>= 1.10~),
-# GitLab settings
- ruby-settingslogic (>= 2.0.9~),
 # Linear-time regex library for untrusted regular expressions
  ruby-re2 (>= 1.5~),
 # Misc
+ ruby-semver-dialects (>= 1.2.1~),
  ruby-version-sorter (>= 2.3~),
 # Export Ruby Regex to Javascript
  ruby-js-regex (>= 3.8~),
@@ -296,14 +301,17 @@
 # FogBugz integration
  ruby-fogbugz (>= 0.3.0~),
 # Kubernetes integration
- ruby-kubeclient (>= 4.9.3~),
+ ruby-kubeclient (>= 4.11~),
    ruby-recursive-open-struct (>= 1.1.1~),
    ruby-http (>= 4.4~),
+# AI
+ ruby-ruby-openai (>= 3.7~),
+ ruby-circuitbox (>= 2.0~),
 # Sanitize user input
  ruby-sanitize (>= 6.0~),
  ruby-babosa (>= 1.0.3~),
 # Sanitizes SVG input
- ruby-loofah (>= 2.19.1~),
+ ruby-loofah (>= 2.20.0~),
 # Working with license
  ruby-licensee (>= 9.14.1~),
 # Protect against bruteforcing
@@ -313,7 +321,7 @@
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.5~),
 # Detect mime content type from content
- ruby-ruby-magic (>= 0.5~),
+ ruby-ruby-magic (>= 0.6~),
 # Faster blank
  ruby-fast-blank,
 # Parse time & duration
@@ -339,20 +347,20 @@
  ruby-base32 (>= 0.3.0~),
 # Sentry integration
  ruby-sentry-raven (>= 3.1~),
- ruby-sentry-ruby (>= 5.1.1~),
- ruby-sentry-rails (>= 5.1.1~),
- ruby-sentry-sidekiq (>= 5.1.1~),
+ ruby-sentry-ruby (>= 5.9~),
+ ruby-sentry-rails (>= 5.9~),
+ ruby-sentry-sidekiq (>= 5.9~),
 # PostgreSQL query parsing
- ruby-pg-query (>= 2.1.4~),
+ ruby-pg-query (>= 2.2.1~),
 #
  ruby-premailer-rails (>= 1.10.3-2~),
 # LabKit: Tracing and Correlation
- ruby-gitlab-labkit (>= 0.29~),
+ ruby-gitlab-labkit (>= 0.32~),
 # Thrift is a dependency of gitlab-labkit, we want a version higher than 0.14.0
 # because of https://gitlab.com/gitlab-org/gitlab/-/issues/321900
  ruby-thrift (>= 0.16~),
 # I18n
- ruby-ruby-parser (>= 3.15~),
+ ruby-ruby-parser (>= 3.20~),
  ruby-whitequark-parser (>= 3.0~),
  ruby-rails-i18n (>= 7.0~),
  ruby-gettext-i18n-rails (>= 1.8~),
@@ -364,21 +372,3 @@
  ruby-peek (>= 1.1~),
 # Snowplow events tracking
  ruby-snowplow-tracker (>= 0.8~),
-# Memory benchmarks
- ruby-derailed-benchmarks,
-# Metrics
- ruby-method-source (>= 1.0~),
- ruby-webrick (>= 1.6.1~),
- ruby-prometheus-client-mmap (>= 0.17~),
-#
- ruby-warning (>= 1.3~),
-#
- ruby-octokit (>= 4.15~),
-#
- ruby-mail-room (>= 0.10.0+really0.0.9~),
-#
- ruby-email-reply-trimmer (>= 0.1~),
- ruby-html2text,
-#
- ruby-prof (>= 1.3~),
- ruby-stackprof (>= 0.2.21~),
